MalformedParameterizedTypeException (Java SE 13 & JDK 13 )
Description: declaration: module: java.base, package: java.lang.reflect, class: MalformedParameterizedTypeException
Keywords: java.lang.reflect.MalformedParameterizedTypeException class

Module java.base
Package java.lang.reflect

# Class MalformedParameterizedTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.reflect.MalformedParameterizedTypeException

All Implemented Interfaces:
  `Serializable`

    public class MalformedParameterizedTypeException
    extends RuntimeException

Thrown when a semantically malformed parameterized type is encountered by a reflective method that needs to instantiate it. For example, if the number of type arguments to a parameterized type is wrong.

Since:
  1.5
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MalformedParameterizedTypeException()` | Constructs a `MalformedParameterizedTypeException` with no detail message.
  `MalformedParameterizedTypeException​(String message)` | Constructs a `MalformedParameterizedTypeException` with the given detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MalformedParameterizedTypeException

    public MalformedParameterizedTypeException()
    Constructs a `MalformedParameterizedTypeException` with no detail message.

  - ### MalformedParameterizedTypeException

    public MalformedParameterizedTypeException​(String message)
    Constructs a `MalformedParameterizedTypeException` with the given detail message.
    Parameters:
      `message` - the detail message; may be `null`